CentOS gcc安装问题的解决方法

系统 Linux
CentOS gcc后来看到有人说到默认的CentOS-Base.repo是不包含下载kernel的,果然注释掉里边的exclude=kernel* 再次运行yum -y update.我靠,又开始下载一个kernel包。罪魁祸首在这里啊!再次执行yum install CentOS gcc 这下应该没有问题了吧

经过长时间学习CentOS gcc,你可能会遇到CentOS gcc安装问题,这里将介绍CentOS gcc安装问题的解决方法。更新CentOS安装gcc遇到的一个问题。

起因是在一个trixbox上安装CentOS gcc第一步,更新系统的软件包到最新yum -y update漫长的等待过后,reboot,然后再次运行了yum -y update 确认再没有可更新的模块了。

接下来,安装CentOS gcc yum -y install gcc没想到
[trixbox1.localdomain src]# yum install gcc
Loading "installonlyn" plugin
Setting up Install Process
Setting up repositories
Reading repository metadata in from local files
Excluding Packages from CentOS-5 - Base
Finished
Excluding Packages from CentOS-5 - Updates
Finished
Excluding Packages from CentOS-5 - Addons
Finished
Excluding Packages from CentOS-5 - Extras
Finished
Parsing package install arguments
Resolving Dependencies
--> Populating transaction set with selected packages. Please wait.
---> Package gcc.i386 0:4.1.2-14.el5 set to be updated
--> Running transaction check
--> Processing Dependency: cpp = 4.1.2-14.el5 for package: gcc
--> Processing Dependency: glibc-devel >= 2.2.90-12 for package: gcc
--> Processing Dependency: libgomp = 4.1.2-14.el5 for package: gcc
--> Processing Dependency: libgomp.so.1 for package: gcc
--> Restarting Dependency Resolution with new changes.
--> Populating transaction set with selected packages. Please wait.
---> Package libgomp.i386 0:4.1.2-14.el5 set to be updated
---> Package glibc-devel.i386 0:2.5-18.el5_1.1 set to be updated
---> Package cpp.i386 0:4.1.2-14.el5 set to be updated
--> Running transaction check
--> Processing Dependency: glibc-headers for package: glibc-devel
--> Processing Dependency: glibc-headers = 2.5-18.el5_1.1 for package: glibc-devel
--> Restarting Dependency Resolution with new changes.
--> Populating transaction set with selected packages. Please wait.
---> Package glibc-headers.i386 0:2.5-18.el5_1.1 set to be updated
--> Running transaction check
--> Processing Dependency: kernel-headers for package: glibc-headers
--> Processing Dependency: kernel-headers >= 2.2.1 for package: glibc-headers
--> Finished Dependency Resolution
Error: Missing Dependency: kernel-headers is needed by package glibc-headers
Error: Missing Dependency: kernel-headers >= 2.2.1 is needed by package glibc-headers
[trixbox1.localdomain src]#

CentOS gcc出错啦,貌似是缺少kernel-headers,So, I try "yum install kernel-headers":
[trixbox1.localdomain src]# yum install kernel-headers
Loading "installonlyn" plugin
Setting up Install Process
Setting up repositories
Reading repository metadata in from local files
Excluding Packages from CentOS-5 - Base
Finished
Excluding Packages from CentOS-5 - Updates
Finished
Excluding Packages from CentOS-5 - Addons
Finished
Excluding Packages from CentOS-5 - Extras
Finished
Parsing package install arguments
Nothing to do
[trixbox1.localdomain src]#

CentOS gcc后来看到有人说到默认的CentOS-Base.repo是不包含下载kernel的,果然注释掉里边的exclude=kernel* 再次运行yum -y update.我靠,又开始下载一个kernel包。罪魁祸首在这里啊!再次执行yum install CentOS gcc 这下应该没有问题了吧!In case anyone's wondering, I don't make a habit of talking to myself.

【编辑推荐】

  1. CentOS gcc安装更新系统的软件包
  2. CentOS系统是Linux常见版本之一
  3. CentOS PPPOE安装配置客户端软件和前提条件
  4. CentOS NTFS安装支持挂载与使用方法
  5. CentOS 4.532位服务器默认安装GCC 和sedmail软件
责任编辑:佚名 来源: CSDN
相关推荐

2010-04-02 10:29:02

CentOS安装

2010-03-25 10:06:57

CentOS配置

2022-02-16 08:50:51

web自动化测试python

2009-09-10 09:35:25

Linq语句

2010-12-27 11:00:53

Virtualbox

2010-03-08 09:29:09

Linux Debia

2009-07-09 17:26:45

Tomcat jvm.

2009-06-12 11:06:56

Java heap s

2009-07-01 18:14:36

JSP乱码

2010-02-06 09:50:30

CentOS系统

2010-10-15 11:22:24

MySQL复制表结构

2009-02-26 11:13:41

Weblogic中间件JSP

2011-05-06 17:25:58

硒鼓

2009-12-28 10:56:45

WPF Image

2022-04-02 20:27:30

ETS操作系统鸿蒙

2010-01-15 10:16:50

CentOS rpm安

2010-06-09 09:39:42

Opensuse双系统

2022-04-06 10:09:17

云服务云计算

2010-12-27 10:48:10

VirtualboxFreedos

2009-07-09 17:14:11

Incompatibl
点赞
收藏

51CTO技术栈公众号